### Method

# Fwupd Client update_metadata_bytes_async

#### Declaration [src]

    void
    fwupd_client_update_metadata_bytes_async (
      FwupdClient* self,
      const gchar* remote_id,
      GBytes* metadata,
      GBytes* signature,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Updates the metadata. This allows a session process to download the metadata and metadata signing file to be passed into the daemon to be checked and parsed.

The `remote_id` allows the firmware to be tagged so that the remote can be matched when the firmware is downloaded.

NOTE: This method is thread-safe, but progress signals will be emitted in the global default main context, if not explicitly set with `fwupd_client_set_main_context()`.

Available since: | 1.5.0

#### Parameters

`remote_id` | `const gchar*`
| Remote ID, e.g. `lvfs-testing`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`metadata` | `GBytes`
| XML metadata data.
| The data is owned by the caller of the function.
`signature` | `GBytes`
| Signature data.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The function to run on completion.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| The data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.